import DS from 'ember-data'

export default DS.Model.extend
  identifier: DS.attr('string')
  name:       DS.attr('string')
  project:    DS.belongsTo('panda/project', inverse: 'project_scenarios')

  workflow_groups: DS.hasMany('panda/workflow-group', serialize: 'ids')
  workflow_action_definitions: DS.hasMany('panda/workflow-action-definition', inverse: 'project_scenarios', serialize: 'ids')

  project_instances: DS.hasMany('panda/project-instance', inverse: 'project_scenario')
